ОтслеживатьДобавлениеПоддиректории = мир =>
{
    $(`#форма_добавление-поддиректории`).submit(function(событие) {
        событие.preventDefault();
        const новая = $(`#форма_добавление-поддиректории_имя`).val();
        мир.новаяДиректория = мир.директория + новая;
        мир.уведомить("добавить поддиректорию");
    });
};


// // // //


ОтобразитьФормуДобавленияПоддиректории = мир =>
{
    const содержимое = `
<hr class="uk-divider-icon">
<form id="форма_добавление-поддиректории" class="uk-padding-small">
    <legend class="uk-legend">Добавить поддиректорию 🕸 添加子目录 🕸 Add subdirectory</legend>
    <input id="форма_добавление-поддиректории_имя" class="uk-input uk-margin-small" type="text" placeholder="Имя директории 🕸 目录名称 🕸 Directory name">
    <button class="uk-button uk-button-primary uk-margin-small">Добавить 🕸 添加 🕸 Add</button>
</form>
    `;
    $(`#${мир.макет.константы.содержимое}`).append(содержимое);
};


// // // //


ОтобразитьФормуИмениДиректории = мир =>
{
    const имя = мир.частиДиректории[мир.частиДиректории.length - 1];
    // Исключаем корень, т.е. пустое имя.
    if (!имя.length)
    {
        return;
    }

    const содержимое = `
<hr class="uk-divider-icon">
<form id="форма_имя-директории" class="uk-padding-small">
    <legend class="uk-legend">Имя директории 🕸 目录名称 🕸 Directory name</legend>
    <input id="форма_имя-директории_имя" class="uk-input uk-margin-small" type="text" placeholder="Имя директории 🕸 目录名称 🕸 Directory name" value="${имя}">
    <button class="uk-button uk-button-primary uk-margin-small">Переименовать 🕸 重命名 🕸 Rename</button>
</form>
    `;
    $(`#${мир.макет.константы.содержимое}`).append(содержимое);
};


// // // //


ОчиститьОбластьСодержимого = мир =>
{
    $(`#${мир.макет.константы.содержимое}`).text("");
};


// // // //


ОтслеживатьВыборЧастиДиректории = мир =>
{
    for (var н in мир.частиДиректории)
    {
        const номер = н;
        const ссылка = `части-директории_${н}_ссылка`;
        $(`#${ссылка}`).click(function() {
            мир.номерВыбраннойЧастиДиректории = номер;
            мир.уведомить("выбрали часть директории");
        });
    }
};


// // // //


ОтобразитьЧастиДиректорииВВидеСсылок = мир =>
{
    const домен = window.location.hostname;
    var части = мир.частиДиректории.slice();
    части[0] = домен + части[0];
    var содержимое = "🌐&nbsp;";
    for (var н in части)
    {
        const часть = части[н];
        содержимое += `<a id="части-директории_${н}_ссылка">${часть}/</a>`;
    }
    $(`#${мир.макет.константы.заголовокЛево}`).html(содержимое);
};


// // // //


ОтобразитьДиректориюВЗаголовке = мир =>
{
    const домен = window.location.hostname;
    const путь = домен + мир.директория;
    var текст = `🌐 ${путь}`;
    document.title = текст;
};


// // // //


ОтслеживатьВыборФайла = мир =>
{
    for (var н in мир.списокФайлов)
    {
        const номер = н;
        const ссылка = `список-файлов_${н}_ссылка`;
        $(`#${ссылка}`).click(function() {
            мир.номерВыбранногоФайла = номер;
            мир.уведомить("выбрали файл");
        });
    }
};


// // // //


ОтобразитьСписокФайлов = мир =>
{
    const список = мир.списокФайлов;
    var содержимое = "";
    for (var н in список)
    {
        const элемент = список[н];
        содержимое += `
<li id="список-файлов_${н}">
    <a id="список-файлов_${н}_ссылка">
        ${элемент}
    </a>
</li>
        `;
    }
    содержимое = `<ul class="uk-nav uk-nav-default tm-nav">${содержимое}</ul>`;
    $(`#${мир.макет.константы.меню}`).html(содержимое);
};